@echo off
echo.
echo Create DFSee 9.xx BETA log using calculated disk-geometry (sniffing)
echo.

if "%OS2_SHELL%"=="" goto notos2
set dfsexe=dfsos2.exe
set cmdext=CMD
goto dfsee
:notos2
if "%OS%"==""        goto notnt
if "%OS%"=="DOS"     goto notnt
if "%OS%"=="MSDOS"   goto notnt
if "%OS%"=="DRDOS"   goto notnt
if "%OS%"=="IBMDOS"  goto notnt
if "%OS%"=="OPENDOS" goto notnt
if "%OS%"=="FREEDOS" goto notnt
set dfsexe=dfswin.exe
set cmdext=BAT
goto dfsee
:notnt
set dfsexe=dfsdos.exe
set cmdext=BAT
:dfsee

if "%1" == "?"  goto usage
if "%1" == "/?" goto usage
if "%1" == "-?" goto usage
goto work

:usage
echo.
echo Usage:  %0
echo.
goto end

:work
%dfsexe% -Q -b -p -geocalc -l:dfsgeo9 part -m -M#part -e -n#pl lvms -r
echo.
echo Please send the 'dfsgeo9.log' file to: support@dfsee.com
echo.

:end
